# Class DirectoryPageMaker

java.lang.Object
net.sf.statcvs.pages.DirectoryPageMaker

public class DirectoryPageMaker extends Object

Version:
  $Id: DirectoryPageMaker.java,v 1.10 2009/05/08 13:18:48 benoitx Exp $
Author:
  anja, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`DirectoryPageMaker(ReportConfig config, Directory directory)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getURL(Directory directory)`
`Page`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryPageMaker

public DirectoryPageMaker(ReportConfig config, Directory directory)

## Method Details

### getURL

public static String getURL(Directory directory)

### toFile

public Page toFile()